Package net.shibboleth.idp.saml.xmlobject

# Interface KeyAuthority

All Superinterfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`

All Known Implementing Classes:
  `KeyAuthorityImpl`

public interface KeyAuthority extends AttributeExtensibleXMLObject
XMLObject for the Shibboleth KeyAuthority metadata extension.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`VERIFY_DEPTH_ATTRIB_NAME`
VerifyDepth attribute name.

## Method Summary

Modifier and Type
Method
Description
`List<KeyInfo>`
`getKeyInfos()`
Get the list of KeyInfo child elements.
`Integer`
`getVerifyDepth()`
Get the VerifyDepth attribute value.
`void`
`setVerifyDepth(Integer newVerifyDepth)`
Set the VerifyDepth attribute value.

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### VERIFY_DEPTH_ATTRIB_NAME

@Nonnull @NotEmpty static final String VERIFY_DEPTH_ATTRIB_NAME
VerifyDepth attribute name.

See Also:
  - Constant Field Values

## Method Details

### getKeyInfos

@Nonnull @Live List<KeyInfo> getKeyInfos()
Get the list of KeyInfo child elements.

Returns:
  the list of KeyInfo child elements

### getVerifyDepth

@Nullable Integer getVerifyDepth()
Get the VerifyDepth attribute value.

Returns:
  the VerifyDepth attribute value

### setVerifyDepth

void setVerifyDepth(@Nullable Integer newVerifyDepth)
Set the VerifyDepth attribute value.

Parameters:
  `newVerifyDepth` - the new VerifyDepth attribute value